.product {
  &__heading {
    margin-bottom: 20px;
  }
  &__image {
    position: relative;
    height: 0;
    padding-top: 65%;
    overflow: hidden;
    &-wrapper {
      width: 65vw;
      padding-left: 5vw;
      padding-right: 5vw;
      @media (max-width: 1700px) {
        width: 60vw;
        padding-left: 3vw;
        padding-right: 3vw;
      }
      @media (max-width: 1500px) {
        width: 55vw;
        padding-left: 2vw;
        padding-right: 2vw;
      }
      @include media-breakpoint-down(lg) {
        width: 100%;
        padding-left: 0;
        padding-right: 0;
      }
    }
  }
  &__content-wrapper {
    display: flex;
    @include media-breakpoint-down(lg) {
      flex-direction: column;
    }
  }
  &__text-wrapper {
    .product__description {
      p, span {
        font-size: $-font-size-xs;
        line-height: 24px;
      }
      p {
        margin-bottom: 10px;
      }
    }
    font-size: $-font-size-sm;
    padding: 20px 5vw;
    max-width: 35vw;
    @media (max-width: 1700px) {
      max-width: 40vw;
      padding-top: 0;
    }
    @media (max-width: 1500px) {
      max-width: 45vw;
    }
    @include media-breakpoint-down(lg) {
      max-width: 100%;
      padding: 40px 5vw 0;
    }
    @include media-breakpoint-only(xs) {
      padding: 30px 15px 0;
    }
  }
  &__composition {
    font-family: $-font-regular-public;
    font-size: $-font-size-small;
  }
  &-item__composition {
    line-height: 18px;
  }
  &__energy-heading {
    font-size: 20px;
    color: $-color-text-primary-public;
    letter-spacing: 0.5px;
    @include media-breakpoint-down(sm) {
      font-size: $-font-size-base;
      letter-spacing: 0.4px;
    }
    @include media-breakpoint-only(xs) {
      font-size: $-font-size-xs;
    }
  }
  &__energy-wrapper {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    padding: 25px 15px 20px;
    background-color: mix($--color-white, $-color-menu-background, 90%);
    @include media-breakpoint-down(sm) {
      padding: 15px 10px 10px;
    }
  }
  &__energy-block {
    padding-top: 30px;
    padding-bottom: 30px;
    @include media-breakpoint-down(sm) {
      padding-top: 20px;
      padding-bottom: 20px;
    }
  }
  &__energy-item {
    flex-grow: 1;
    display: flex;
    margin-bottom: 10px;
    flex-direction: column;
    align-items: center;
    flex-wrap: wrap;
  }
  &__energy-value {
    font-size: 24px;
    font-family: $-font-bold-public;
    text-align: center;
    color: $-color-text-primary-public;
    @include media-breakpoint-down(sm) {
      font-size: 20px;
    }
  }
  &__energy-name {
    display: block;
    max-width: 120px;
    text-align: center;
    font-size: $-font-size-xs;
    line-height: 18px;
    color: $-color-text-primary-public;
  }
}
